# Uses of Class
javax.naming.spi.DirStateFactory.Result

Packages that use DirStateFactory.Result
Package
Description
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.

## Uses of DirStateFactory.Result in javax.naming.spi

Methods in javax.naming.spi that return DirStateFactory.Result
Modifier and Type
Method
Description
`static DirStateFactory.Result`
DirectoryManager.`getStateToBind(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes attrs)`
Retrieves the state of an object for binding when given the original object and its attributes.
`DirStateFactory.Result`
DirStateFactory.`getStateToBind(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes inAttrs)`
Retrieves the state of an object for binding given the object and attributes to be transformed.